Bug 1004856 - jboss-ejb3.xml deployment descriptor is not parsed correct for the clustering element
jboss-ejb3.xml deployment descriptor is not parsed correct for the clustering...
Status: VERIFIED
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: EJB (Show other bugs)
6.1.0,6.1.1
Unspecified Unspecified
unspecified Severity medium
: DR1
: EAP 6.4.0
Assigned To: Dominik Pospisil
Jan Martiska
:
Depends On: 1124427
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-05 11:38 EDT by wfink
Modified: 2017-10-09 20:24 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker WFLY-2011 Major Resolved jboss-ejb3.xml deployment descriptor is not parsed correct for the clustering element 2016-02-24 10:24 EST

  None (edit)
Description wfink 2013-09-05 11:38:23 EDT
The clustering element of the jboss-ejb3.xml DD can include illegal repeating of the ejb-name element:
<assembly-descriptor>
  <c:clustering>
    <ejb-name>Bean1</ejb-name>
    <ejb-name>Bean2</ejb-name>
  <c:clustered>true</c:clustered>
  </c:clustering>
</assembly-descriptor>

In that case the behaviour of different components is inconsistent, see WFLY-2011.

The parser should log the problem and the application should not deployable.
Comment 4 Dimitris Andreadis 2013-10-24 14:28:16 EDT
Assigning jpai@redhat.com EJB issues to david.lloyd@redhat.com. Please re-assign to Cheng or others as needed.
Comment 5 JBoss JIRA Server 2013-10-31 12:17:18 EDT
Stuart Douglas <stuart.w.douglas@gmail.com> made a comment on jira WFLY-2011

I have pushed a fix for this into the metadata repository, this will be resolved by the next metadata release.
Comment 6 JBoss JIRA Server 2013-11-01 04:44:18 EDT
Stuart Douglas <stuart.w.douglas@gmail.com> updated the status of jira WFLY-2011 to Resolved
Comment 8 Dominik Pospisil 2014-07-29 07:56:13 EDT
The fix is already present in metadata 7.1.1, only thing left is to do EAP component upgrade.
Comment 10 Jan Martiska 2014-09-18 05:36:52 EDT
Verified in EAP 6.4.0.DR1.1

Note You need to log in before you can comment on or make changes to this bug.